org.apache.sysds.runtime.controlprogram.paramserv.rpc

## Class PSRpcHandler

- java.lang.Object
- - org.apache.spark.network.server.RpcHandler
  - - org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcHandler

    public final class PSRpcHandler
    extends org.apache.spark.network.server.RpcHandler

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.spark.network.server.StreamManager` `getStreamManager()`
`void` `receive(org.apache.spark.network.client.TransportClient client, ByteBuffer buffer, org.apache.spark.network.client.RpcResponseCallback callback)`

### Methods inherited from class org.apache.spark.network.server.RpcHandler

`channelActive, channelInactive, exceptionCaught, receive`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### receive

    public void receive(org.apache.spark.network.client.TransportClient client,
                        ByteBuffer buffer,
                        org.apache.spark.network.client.RpcResponseCallback callback)

Specified by:
  `receive` in class `org.apache.spark.network.server.RpcHandler`

#### getStreamManager

    public org.apache.spark.network.server.StreamManager getStreamManager()

Specified by:
  `getStreamManager` in class `org.apache.spark.network.server.RpcHandler`